{% extends 'base.html.twig' %}

{% block title %}Poll results{% endblock %}

        {% block body %}
            <div class="pollTitle">
                <h2>{{ poll.question }}</h2> 
                <p>Created by {{ poll.user.name }}</p>
            </div>

            <div class="pollResults">
                {% for answer in poll.answers %}
                {% if poll.totalvotes != 0 %}
                    {% set percentage = answer.votes / poll.totalvotes * 100 %}
                {% else %}
                    {% set percentage = 0 %}
                {% endif %}

                    <div>
                        <p>{{ answer.answer }}</p>
                        <div class="progressBar">
                            <div class="percentage" id="{{ answer.id }}" data-percentage="{{ percentage }}"></div>
                            <span class="score">{{ percentage | round(1, 'floor') }}%<span>
                        </div>
                    </div>
                {% endfor %}
                <p class="totalVotes">Total of votes : {{ poll.totalvotes }}</p>
            </div>

            <button><a href="{{ path('poll_vote', {'id': poll.id}) }}">Vote</a></button>

            {% if poll.user is same as(thisUser) %}
                {{ include('poll/_delete_form.html.twig') }}
            {% endif %}

        {% endblock %}

        {% block javascripts %}
        <script src="{{ asset('assets/results.js')}}"></script>
        {% endblock %}